Вышла новая версия libimobiledevice — кроссплатформенной библиотеки для работы с устройствами Apple

в 9:45, , рубрики: Песочница, метки: , , , , , , ,

29 Января увидела свет библиотека libimobiledevice 1.2.0, ключевым нововведением в которой стала поддержка iOS 8, а так же Iphone 6/6+.

libimobiledevice — кроссплатформенная библиотека, позволяющая работать с устройствами Apple. В отличие от других проектов, она не зависит от каких-либо существующих проприетарных библиотек и не требует джейлбрейка.

Благодаря libimobiledevice 1.2.0 в Linux стало возможным подключать iphone в качестве 3G-модема, получать доступ к файловой системе, информации об устройстве, календарю, заметкам, адресной книге, а так же производить резервное копирование и восстановление устройства, управлять установленными приложениями, Синхронизировать музыку и видео (при помощи библиотеки libgpod) и многое другое.

На текущий момент поддерживаются следующие устройства:

  • iPod Touch 1G/2G/3G/4G/5G,
  • iPhone 1G/2G/3G/3GS/4/4S/5/5C/5S/6/6+,
  • iPad 1/2/3/4/Mini/Mini 3/Air/Air 2,
  • Apple TV 2G/3G.

Помимо поддержки новых устройств и свежей версии iOS, в новой версии библиотеки произведен рефакторинг кода, устранены утечки памяти и увеличена скорость работы.

Автор: Наш человек в Сайгоне

Источник

Поделиться

* - обязательные к заполнению поля